LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   Mediawiki issue with php and mysql (http://www.linuxquestions.org/questions/linux-software-2/mediawiki-issue-with-php-and-mysql-469782/)

Skip-DMP 08-01-2006 12:00 PM

Mediawiki issue with php and mysql
 
RHEL3 with MySQL 4.1.20 and have tried php 5.1.4 and 4.4.2 with same problem:

Quote:

Warning: dl(): Unable to load dynamic library '/usr/lib/php4/mysql.so' - /usr/lib/php4/mysql.so: cannot open shared object file: No such file or directory in /var/www/html/wiki/install-utils.inc on line 19
Could not load MySQL driver! Please compile php --with-mysql or install the mysql.so module.
A locate only find one mysql.so file on the box at

/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/DBD/mysql/mysql.so

If I manually copy the file in, it reports errors, so I am certain it isn't the correct file.

I have installed over and over and over again. Tried MySQL 4.1.19 first then went to 4.1.20. Have compiled and installed php as directed. Just running around in circles here and need some help.

Thanks.

Skip-DMP 08-01-2006 12:06 PM

Been working on this for a couple months and found a note on another site and it "appears" I am past where I need to be... Crossing my fingers from here...

Skip-DMP 08-01-2006 04:58 PM

Ok, what I have been able to determine is that I have php 4.4.2 and 5.1.4 both on my system. The php-mysql downloaded from redhat is 4.3.2 and Mediawiki wants to use php 5.0.0 or better. I can't seem to find the php-mysql file anywhere for version 5+ of php or documentation to fix it. Any idea?

Skip-DMP 08-03-2006 02:33 PM

Got it working.


All times are GMT -5. The time now is 07:06 AM.